System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.BindingElementExtensionElement To be added.

Represents a configuration element that is used to specify settings for Windows stream security for a binding. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the object that represents the binding element.

- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("protectionLevel", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Net.Security.ProtectionLevel To be added.

  This property specifies the message-level security used for signing and encryption. Signing messages mitigates the risk of a third party tampering with the message while it is being transferred. Encryption provides data-level privacy during transport.

  Gets or sets the message-level security used.